aboutsummaryrefslogtreecommitdiff
path: root/devel/tcllib/files
diff options
context:
space:
mode:
authorWill Andrews <will@FreeBSD.org>2000-06-09 03:35:21 +0000
committerWill Andrews <will@FreeBSD.org>2000-06-09 03:35:21 +0000
commitc9a437c5c21b264864eae5b28c0ed7eb4f2f86d1 (patch)
treecdea4900480e631baf6fbb183a54d86569354fbd /devel/tcllib/files
parentcbc71b2150cfdbf398dec5f7fb1eaf2dfdca5100 (diff)
downloadports-c9a437c5c21b264864eae5b28c0ed7eb4f2f86d1.tar.gz
ports-c9a437c5c21b264864eae5b28c0ed7eb4f2f86d1.zip
Notes
Diffstat (limited to 'devel/tcllib/files')
-rw-r--r--devel/tcllib/files/tclhttpd.sh16
1 files changed, 16 insertions, 0 deletions
diff --git a/devel/tcllib/files/tclhttpd.sh b/devel/tcllib/files/tclhttpd.sh
new file mode 100644
index 000000000000..6053456fe639
--- /dev/null
+++ b/devel/tcllib/files/tclhttpd.sh
@@ -0,0 +1,16 @@
+#!/bin/sh
+case $1 in
+stop)
+ if ! [ -f /var/run/tclhttd.pid ] ; then
+ echo tclhttd does not seem to be running
+ exit 1
+ fi
+ echo "Not sure if `cat /var/run/tclhttd.pid` \
+ (from /var/run/tclhttd.pid) is what you wish killed."
+ exit 2
+ ;;
+start|"")
+ COMMAND_LINE &
+ test -n "$!" && echo $! > /var/run/tclhttd.pid
+ ;;
+esac